function fburgerclw(choice,L,a_left,a_right,s,dx,dt,T,interval,pt);

% This code calculates the solution to the nonlinear burger's equation in
% conservation form using Lax-Wendroff. The initial condition is a front based
% on arctan(x). The description of the inputs can be found in burger.inf or
% burger-inf.tex

     
      %disp(' This code computes the solution for the burger equation ')
      %disp(' u_t + (0.5*u^2)_x = 0 ; -L < x < L, 0 < t < T '  )
      %disp(' u(x,0) = q arctan(s*x)+r ')
      %disp(' using Lax-Wendroff. ')
      
    
      cmax=max(abs(a_left),abs(a_right));

      tsteps = T/dt;  % number of time steps

          
%
% Set up the parameters for the Lax-Wendroff scheme.
%

        jmax = (2*L)/dx;
        lambda1 = dt/dx;
        lambda2 = dt/(2.*dx);
        r = (a_left+a_right)/2;
        q = (a_right-a_left)/pi;

        for j=1:jmax
          x(j) = -L+j*dx;
          u0(j) = q*atan(s*x(j))+r;
          u1(j) = u0(j);
          u2(j) = u1(j);
        end      

        %Mf = moviein(tsteps);
        %Mp = moviein(tsteps);

        for j = 1:jmax
        for k = 1:2
          z(k,j) = u0(j);
        end
        end

%************************************************        
% For contour
%************************************************
   if choice == 2
        
        
        pcolor(z);
        %Mf(:,1) = getframe;
        %plot(x,u0);
        %Mp(:,1) = getframe;
        pause(pt);

%
% Start the calculations.
%
         count = 0;

         for i=1:tsteps

           count=count+1;
           
           for j=2:jmax-1

              uxf = (u0(j+1)+u0(j))/2;
              uxb = (u0(j)+u0(j-1))/2;
              u1(j) = u0(j)-(u0(j+1)^2-u0(j-1)^2)*lambda1+(uxf*(u0(j+1)^2-u0(j)^2)-uxb*(u0(j)^2-u0(j-1)^2))*lambda2;
              u2(j) = u1(j);   % added
           end
%
% Create the snapshots.

          if (count == interval)

            for j = 1:jmax
            for k = 1:2
              z(k,j) = u2(j);
            end
            end
        pcolor(z);
        %Mf(:,i) = getframe;
        %plot(x,u2);
        %Mp(:,i) = getframe;     
            count = 0;

            %plot(x,u1);
            pause(pt);
            count = 0;
 
          end
%
%  Update the calculations in time
%
          for j=1:jmax-1
            u0(j)=u1(j);
          end

      end
      
%******* Other choice *****************
% profile
%**************************************
else
     
        %pcolor(z);
        %Mf(:,1) = getframe;
        plot(x,u0);
        %Mp(:,1) = getframe;
        pause(pt);

%
% Start the calculations.
%
         count = 0;

         for i=1:tsteps

           count=count+1;
           
           for j=2:jmax-1

             

              uxf = (u0(j+1)+u0(j))/2;
              uxb = (u0(j)+u0(j-1))/2;
              u1(j) = u0(j)-(u0(j+1)^2-u0(j-1)^2)*lambda1+(uxf*(u0(j+1)^2-u0(j)^2)-uxb*(u0(j)^2-u0(j-1)^2))*lambda2;

           end
%
% Create the snapshots.

          if (count == interval)

            for j = 1:jmax
            for k = 1:2
              z(k,j) = u2(j);
            end
            end
        %pcolor(z);
        %Mf(:,i) = getframe;
        plot(x,u2);
        %Mp(:,i) = getframe;     
            count = 0;

            plot(x,u1);
            pause(pt);
            count = 0;
 
          end
%
%  Update the calculations in time
%
          for j=1:jmax-1
            u0(j)=u1(j);
          end

      end
  % end if statement    
  end
    
    

%movie(Mf,0)
%movie(Mp,0)

        
